# Error directive

From cppreference.com
< cpp‎ | preprocessor

Shows the given error message and renders the program ill-formed.

### Syntax

`#error` error_message |  |

### Explanation

After encountering the `#error` directive, an implementation displays the diagnostic message error_message and renders the program ill-formed (the compilation stops).

error_message can consist of several words not necessarily in quotes.

### See also

C documentation for Error directive

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/preprocessor/error&oldid=90551"